//  SiHlpM.inc
//	Copyright (C) Siemens AG (1998). All Rights Reserved
//	Product:		SIMATIC PDM
//
//	Description:	Standard Help Menu
//
//  $Revision: 1.1 $	
//  $Date:   Nov 26 1999 10:36:40




/*---------------------------------------------------------------------*/
/*    MENU: Help													   */
/*---------------------------------------------------------------------*/

MENU Menu_Help
{
	LABEL		[menu_Help];
	ITEMS
	{
			std_Hilfethemen,
			std_HilfeKontext,
			SEPARATOR,
			std_HilfeGeraet,
#ifdef DEVICE_MANUAL_FILENAME
			methodOpenDeviceManual,
#endif

#ifdef DEVICE_DATASHEET_FILENAME
			methodOpenDeviceDatasheet,
#endif
//			SEPARATOR,
//			std_HilfeEinfuehrung,
//			std_HilfeErsteSchritte,
			SEPARATOR,
			std_Hilfebenutzen,
			std_Info
	}
}



#ifdef DEVICE_MANUAL_FILENAME
METHOD methodOpenDeviceManual
{
	LABEL [menu_DeviceManual] ;
//	ACCESS OFFLINE ;
	DEFINITION
	{
		ShellExecute(DEVICE_MANUAL_FILENAME) ;
	}
}
#endif


#ifdef DEVICE_DATASHEET_FILENAME
METHOD methodOpenDeviceDatasheet
{
	LABEL [menu_DeviceDatasheet] ;
//	ACCESS OFFLINE ;
	DEFINITION
	{
		ShellExecute(DEVICE_DATASHEET_FILENAME) ;
	}
}
#endif


METHOD std_HilfeGeraet
{
	LABEL		[menu_Help_Device];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_Hilfethemen
{
	LABEL		[menu_Help_Topics];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_HilfeKontext
{
	LABEL		[menu_Help_Context];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_HilfeEinfuehrung
{
	LABEL		[menu_Help_Introduction];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_HilfeErsteSchritte
{
	LABEL		[menu_Help_First_Steps];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_Hilfebenutzen
{
	LABEL		[menu_Help_Using];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

METHOD std_Info
{
	LABEL		[menu_Help_Info];
	CLASS		LOCAL_DISPLAY;
//	ACCESS OFFLINE ;
	DEFINITION
	{
	}
}

