//	File:			SI_YT_2.inc
//	Product:		SIMATIC PDM
//	Description:	include for a second trendviewer
//					with one - four variables
//  $Revision: 1.1 $	
//  $Date: 2014/03/04 08:03:12 $
//	Copyright (C) Siemens AG (1998). All Rights Reserved

// Parameter: YT11_VALUE,  YT11_URV,  YT11_LRV,  YT11_LABEL
// Parameter: YT12_VALUE,  YT12_URV,  YT12_LRV,  YT12_LABEL
// Parameter: YT13_VALUE,  YT13_URV,  YT13_LRV,  YT13_LABEL
// Parameter: YT14_VALUE,  YT14_URV,  YT14_LRV,  YT14_LABEL

MENU OnlineWindow_yt_2
{
	LABEL	[menu_yt_diagram];
	ITEMS
	{
		Page_process_yt_2
	}
}

MENU Page_process_yt_2
{
	LABEL	[menu_yt_diagram];
	ITEMS
	{

#ifdef YT11_LABEL
		Val_yt11,
#endif

#ifdef YT12_LABEL
		Val_yt12,
#endif

#ifdef YT13_LABEL
		Val_yt13,
#endif

#ifdef YT14_LABEL
		Val_yt14,
#endif

		OCX_out_display_yt_2
	}
}

#ifdef YT11_LABEL
MENU Val_yt11
{
	LABEL	YT11_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT11_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT12_LABEL
MENU Val_yt12
{
	LABEL	YT12_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT12_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT13_LABEL
MENU Val_yt13
{
	LABEL	YT13_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT13_VALUE	(READ_ONLY)
	}
}
#endif

#ifdef YT14_LABEL
MENU Val_yt14
{
	LABEL	YT14_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT14_VALUE	(READ_ONLY)
	}
}
#endif

MENU OCX_out_display_yt_2					// OCX-Control 2
{
	LABEL	[menu_yt_diagram] ;
	STYLE	"PDMTVPROXY.PDMTVProxyCtrl.1";	// Name, unter dem das OCX in Windows registriert ist
	ITEMS
	{
		OCX_ProfilNum_yt_2,					// Profil-Nummer

#ifdef YT11LABEL
		OCX_out_display_11					// 1. Kurve
#endif

#ifdef YT12_LABEL
		OCX_out_display_12,					// 2. Kurve
#endif

#ifdef YT13_LABEL
		OCX_out_display_13					// 3. Kurve
#endif

#ifdef YT14_LABEL
		OCX_out_display_14					// 4. Kurve
#endif

		OCX_UserSettings_yt_2				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
	}
}

#ifdef YT11_LABEL
MENU OCX_out_display_11						// 1. Kurve im OCX-Control yt
{
	LABEL	YT11_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT11_VALUE	(READ_ONLY),
		YT11_LRV	(READ_ONLY),
		YT11_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT12_LABEL
MENU OCX_out_display_12						// 2. Kurve im OCX-Control yt
{
	LABEL	YT12_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT12_VALUE	(READ_ONLY),
		YT12_LRV	(READ_ONLY),
		YT12_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT13_LABEL
MENU OCX_out_display_13						// 3. Kurve im OCX-Control yt
{
	LABEL	YT13_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT13_VALUE	(READ_ONLY),
		YT13_LRV	(READ_ONLY),
		YT13_URV	(READ_ONLY)
	}
}
#endif

#ifdef YT14_LABEL
MENU OCX_out_display_14						// 1. Kurve im OCX-Control yt
{
	LABEL	YT14_LABEL;
	STYLE	"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT14_VALUE	(READ_ONLY),
		YT14_LRV	(READ_ONLY),
		YT14_URV	(READ_ONLY)
	}
}
#endif

VARIABLE OCX_ProfilNum_yt_2					// Profil-Variable fr OCX yt
{
	LABEL	"ProfilID";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	INTEGER(2)
	{
		DEFAULT_VALUE	1004;				// Profil 1004 : y-t mit Farbwahl
	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt_2				// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
{
	LABEL	"UserSettings";
	STYLE	"OCX_PROPERTY";
	CLASS	LOCAL;
	TYPE	ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}

